# CiviCRM Developer Community

## Collaboration tools

Developers from around the globe use the following systems to communicate and collaborate:

-   [CiviCRM.org](https://civicrm.org)
    -   [Extensions](https://civicrm.org/extensions) publishing
    -   [Blog posts](https://civicrm.org/blog/) are written by both the CiviCRM core team and other community members, and cover a wide range of topics. Subscribe to the [RSS feed](https://civicrm.org/blog/feed) to make sure you stay up to date.
    -   [Events](https://civicrm.org/events) - meetups, conferences, camps, sprints, webinars
    -   [Job Board](https://civicrm.org/jobs) - Post and find paid work
-   [Documentation](https://docs.civicrm.org)
-   [Mattermost](https://chat.civicrm.org) offers live discussion in chat rooms and direct messages. It's a great place to go for any technical questions. Here, with a bit of luck, you'll often find an instant answer to your question or a pointer in the right direction. Definitely go here if you feel like you are banging your head against a wall.
-   [Stack Exchange](http://civicrm.stackexchange.com/) - Question & answer site covering a range of topics relevant to developers and users. It is a great place to find answers to the millions of questions that have already been asked about CiviCRM, and to ask ones that haven't been asked already.
-   [GitLab](https://lab.civicrm.org) - CiviCRM's tool for issue tracking community-based project management.
-   [GitHub](https://github.com/civicrm) - Hosted git repositories for the entire CiviCRM codebase, as well as many smaller tools focused on developing CiviCRM.
-   [Jira](https://issues.civicrm.org/jira) - _(deprecated) Issue tracking_

!!! tip "Before you begin"

    Register for the accounts below. *All accounts require e-mail verification.*

    1.  [CiviCRM.org](https://civicrm.org/user/register) - Be prepared to give your name and organizational affiliation, and explain your role in the community.
        *Account requests must be approved by an administrator before you will be granted access.* This process may take some time.

        The following communities provide a single sign-on once your CiviCRM.org account is approved.

         -   GitLab
         -   Jira
         -   CiviCRM Wiki - *account can also be requested via the infrastructure channel on Mattermost*

    2.  [Mattermost](https://chat.civicrm.org/signup_email) - Create an account and join a team on this open-source version of Slack.

    3.  [Stack Exchange](https://civicrm.stackexchange.com/users/signup?ssrc=head&returnurl=https%3a%2f%2fcivicrm.stackexchange.com%2f) - Read the user guide after joining. Write your own Q&A and vote on others'.

    4.  [GitHub](https://github.com/join?source=header) - Find repositories under CiviCRM's group after confirming your account.
    
!!! warning "Don't include a space in your username"

    CiviCRM.org allows spaces in usernames but this won't work with GitLab.  So it's best if you don't use any spaces in your CiviCRM.org username. 
    
    If you have already set up an account on CiviCRM.org you can easily log in and change your username.

## Discussion communities

Optional lists you may also want to register for:

1.  [CiviCRM Groups](https://lists.civicrm.org/lists/firstpasswd/)  (listservs)

2.  [Newsletters](https://civicrm.org/civicrm/mailing/subscribe) (after your CiviCRM account is active)

## Falling out of use

-   [IRC](http://irc.civicrm.org/) - #civicrm on irc.freenode.net
        *but now mostly replaced by Mattermost*

## Out of use

-   [Wiki](https://wiki.civicrm.org/confluence/display/CRMDOC/CiviCRM+Documentation) - *Archived, but still useful for some older documentation*
-   [Forum](https://forum.civicrm.org/) - *archived*

The developer community is full of friendly people, eager to welcome newcomers. Mattermost and in-person events are great starting points if you're looking to get involved!
